{% extends "dashboard_header.html" %}

{% block main %}

<h1>{{ name }} v{{ version }} - Dashboard</h1>
<h2>Welcome, <strong>{{ username }}</strong>!</h2>
<h3>Thanks for using {{ name }}!</h3>

<div aria-hidden="true" class="modal fade" id="invitesModal" tabindex="-1">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Invites</h5>
                <button aria-label="Close" class="btn-close" data-bs-dismiss="modal" type="button"></button>
            </div>
            <div class="modal-body">
                <ul class="list-group">
                    {% for inv in invites %}
                        <li class="list-group-item">{{ inv['code'] }}</li>
                    {% endfor %}
                </ul>
            </div>
        </div>
    </div>
</div>

<div class="container">
    <div class="row">
        <div class="col">
            <div class="card" style="width: 18rem;">
                <div class="card-body">
                    <h5 class="card-title">Image count</h5>
                    <p class="card-text">You have uploaded {{ img_count }}
                        image{{ '' if img_count == 1 else 's' }}!</p>
                </div>
            </div>
        </div>
        <div class="col">
            <div class="card" style="width: 18rem;">
                <div class="card-body">
                    <h5 class="card-title">UID</h5>
                    <p class="card-text">Your user ID is {{ uid }}</p>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col">
            <div class="card" style="width: 18rem;">
                <div class="card-body">
                    <h5 class="card-title">Invites</h5>
                    <p class="card-text">You have {{ inv_count }} invite{{ '' if inv_count == 1 else 's' }}.</p>
                    {% if inv_count > 0 %}
                        <a class="btn btn-primary" data-bs-target="#invitesModal" data-bs-toggle="modal" href="#">View</a>
                    {% endif %}
                </div>
            </div>
        </div>
        <div class="col">
            <div class="card" style="width: 18rem;">
                <div class="card-body">
                    <h5 class="card-title">Storage</h5>
                    <p class="card-text">You have used {{ space }} MB of storage!</p>
                </div>
            </div>
        </div>
    </div>
</div>

<br>
<br>
<h2><strong>MOTD</strong></h2>
<h3>{{ motd }}</h3>

{% endblock %}